{% extends 'base.html.twig' %}

{% block breadcrumb %}
    <li class="breadcrumb-item">
        <a href="{{ path('app_territory_areas_list') }}">Territoires</a>
    </li>
    <li class="breadcrumb-item">
        <a href="{{ path('app_territory_areas_show', {'area': territory.area.id}) }}">{{ territory.area.title }}</a>
    </li>

    <li class="breadcrumb-item">
        <a href="{{ path('app_territory_show', {'territory': territory.id}) }}">{{ territory.area.title }} {{ territory.title }}</a>
    </li>

    <li class="breadcrumb-item">
        <a href="#">Entrée / Sortie</a>
    </li>
{% endblock %}

{% block header_title %}{{ territory.title }} - {{ territory.area.title }}{% endblock %}
{% block header_subtitle %}Entrée / Sortie de territoire{% endblock %}

{% block body %}
    <div class="col-xxl-10 col-sm-12 col-md-12">
        {% for message in app.flashes('success') %}
            <div class="alert alert-fill alert-icon alert-success alert-dismissible">
                <em class="icon ni ni-check-circle-fill"></em>
                {{ message }}
            </div>
        {% endfor %}
        <div class="card card-bordered card-full">
            <div class="card-inner">
                <div class="card-title-group">
                    <div class="card-title">
                        <h6 class="title"><span class="me-2">Entrée / Sortie de territoire</span></h6>
                    </div>
                </div>
            </div>
            <div class="card-inner border-top">

                <form action="{{ app.request.uri }}" method="post">
                    <div class="row gy-4">
                        <div class="col-sm-12 col-lg-3">
                            <div class="form-group">
                                {{ form_label(form.outDate) }}
                                <div class="form-control-wrap">
                                    <div class="form-icon form-icon-right">
                                        <em class="icon ni ni-calendar-alt"></em>
                                    </div>
                                    {{ form_widget(form.outDate) }}
                                    {{ form_errors(form.outDate) }}
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12 col-lg-3">
                            <div class="form-group">
                                {{ form_label(form.inDate) }}
                                <div class="form-control-wrap">
                                    <div class="form-icon form-icon-right">
                                        <em class="icon ni ni-calendar-alt"></em>
                                    </div>
                                    {{ form_widget(form.inDate) }}
                                    {{ form_errors(form.inDate) }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-4">
                        <div class="col-sm-12 col-lg-6">
                            <div class="form-group">
                                {{ form_label(form.publisher) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.publisher) }}
                                    {{ form_errors(form.publisher) }}
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row mt-4" id="duesTerritories">
                    </div>
                    <div class="mt-5">
                        <button class="btn btn-success" type="submit"><em class="icon ni ni-save-fill me-1"></em> Enregistrer</button>
                    </div>
                    {{ form_widget(form._token) }}
                </form>
            </div>

        </div><!-- .card -->
    </div><!-- .col -->
{% endblock %}

{% block javascripts %}
    <script>
        $(document).ready(function (){
            $('.js-select2').change(function (e){
               $.ajax({
                   url: "/territories/check/" + e.target.value,
                   success: function(data) {
                       $('#duesTerritories').replaceWith(data)
                   }
               })
            })
        })
    </script>
{% endblock %}